Fortinet white logo
Fortinet white logo

PUT

PUT

URI:
  • /api/v1/quota

Input fields:
Field name Type Required Description
quota integer Yes The allocated quota.
realm_id string Yes The realm ID.
Successful response fields:
Field name Type Description
realm_id string The realm ID.
realm_quota integer The allocated realm quota.
available qutoa integer The common quota shared among realms.
Response codes:
Code Response content Description
204 NO CONTENT Realm user quota has been allocated.
400 Bad Request
  • Quota cannot be negative.

  • Quota is not enough for the current user size of the realm.

  • Remaining customer quota is not enough to change the quota for the realm.

403 Forbidden
  • Credit-based customer is not allowed to allocate quota.

  • Trial customer is not allowed to allocate quota

404 Not Found
  • Cannot find related customer

  • Cannot find related realm info

Example request body:
{
   "realm_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
   "quota":1
}
Example of successful response body:
{
   "realm_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
   "realm_quota":1,
   "available_quota":239
}

PUT

PUT

URI:
  • /api/v1/quota

Input fields:
Field name Type Required Description
quota integer Yes The allocated quota.
realm_id string Yes The realm ID.
Successful response fields:
Field name Type Description
realm_id string The realm ID.
realm_quota integer The allocated realm quota.
available qutoa integer The common quota shared among realms.
Response codes:
Code Response content Description
204 NO CONTENT Realm user quota has been allocated.
400 Bad Request
  • Quota cannot be negative.

  • Quota is not enough for the current user size of the realm.

  • Remaining customer quota is not enough to change the quota for the realm.

403 Forbidden
  • Credit-based customer is not allowed to allocate quota.

  • Trial customer is not allowed to allocate quota

404 Not Found
  • Cannot find related customer

  • Cannot find related realm info

Example request body:
{
   "realm_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
   "quota":1
}
Example of successful response body:
{
   "realm_id":"12345678-abcd-efgh-1234-xxxxxxxxxxxx",
   "realm_quota":1,
   "available_quota":239
}